<div infiniteScroll [infiniteScrollDistance]="0.2" [infiniteScrollThrottle]="300" (scrolled)="onScroll()">
  <div class="profile-view" *ngIf="profile$ | async as profile">
    <div class="top">
      <div class="left">
        <div
          class="photo"
          *ngIf="profile.has_stories.length > 0"
          [ngClass]="withStory(profile.has_stories.length > 0 ? profile.has_stories : null) ? 'with-story' : ''"
          (click)="openStoryModal(profile)"
        >
          <img [src]="profile.image ? getImageUrl(profile.image) : 'assets/images/no-image.png'" alt="" />
        </div>
        <div class="photo" *ngIf="profile.has_stories.length === 0">
          <img [src]="profile.image ? getImageUrl(profile.image) : 'assets/images/no-image.png'" alt="" />
        </div>
        <div class="text-center" [ngStyle]="{ 'color': '#656565' }">
          {{ profile?.country?.country_name }}
        </div>
      </div>
      <div class="right">
        <div class="name">
          {{ profile.fname }} {{ profile.lname }}
          <button [routerLink]="['edit']" class="edit-button">
            <fa-icon [icon]="faPen"></fa-icon>
          </button>
          <div class="dropdown">
            <div
              class="settings-button"
              [inlineSVG]="'assets/svg/settings.svg'"
              (click)="dropdownLogout = !dropdownLogout"
            ></div>
            <div class="dropdown-content" [ngClass]="{ 'active': dropdownLogout }">
              <div class="item" (click)="onLogoutOut()">
                Logout
              </div>
            </div>
          </div>
        </div>
        <div class="email">{{ profile.email }}</div>
        <div class="stats">
          <div
            class="stats-title"
            [routerLink]="['follow']"
            [queryParams]="{ type: 'followers' }"
            [ngStyle]="{ 'cursor': 'pointer' }"
          >
            Followers
            <div class="stats-number">{{ profile.followers_count }}</div>
          </div>
          <div
            class="stats-title"
            [routerLink]="['follow']"
            [queryParams]="{ type: 'following' }"
            [ngStyle]="{ 'cursor': 'pointer' }"
          >
            Following
            <div class="stats-number">{{ profile.following_count }}</div>
          </div>
          <div class="stats-title">
            Posts
            <div class="stats-number">{{ profile.num_post }}</div>
          </div>
        </div>
        <div class="description">
          <!-- Lorem ipsum dolor sit, amet consectetur adipisicing elit. Ducimus perspiciatis at tempore, sed iusto quia nam
        accusantium dicta unde similique laudantium aut quidem voluptatem? Perspiciatis aliquid culpa vitae expedita
        totam. -->
          {{ profile.description }}
        </div>
      </div>
    </div>

    <div class="posts-collection mt3">
      <div class="item" *ngFor="let content of posts$ | async">
        <img
          *ngIf="content.contents[0].type !== 'video'"
          [src]="getImageUrl(content.contents[0].content)"
          class="avatar"
          [routerLink]="['/post/', content.id]"
        />
        <div class="video-overlay" *ngIf="content.contents[0].type === 'video'" [routerLink]="['/post/', content.id]">
          <video>
            <source [src]="getImageUrl(content.contents[0].content)" />
          </video>
        </div>
      </div>
    </div>
  </div>
</div>
